=== debian/changelog ===
kpimtextedit (25.08.3+p24.04+vunstable+git20251202.1128-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 02 Dec 2025 11:28:12 +0000

kpimtextedit (25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:39:21 +1000
