## kpimtextedit 25.12.0+p24.04+vstable+git20251208.1537

=== debian/changelog ===
kpimtextedit (25.12.0+p24.04+vstable+git20251208.1537-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 15:37:38 +0000
