=== debian/control ===
--- 
+++ 
@@ -8,24 +8,24 @@
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                cmake (>= 3.16~),
-               extra-cmake-modules (>= 6.14.0~),
-               libkf6codecs-dev (>= 6.14.0~),
-               libkf6config-dev (>= 6.14.0~),
-               libkf6coreaddons-dev (>= 6.14.0~),
-               libkf6i18n-dev (>= 6.14.0~),
-               libkf6iconthemes-dev (>= 6.14.0~),
-               libkf6kio-dev (>= 6.14.0~),
-               libkf6sonnet-dev (>= 6.14.0~),
-               libkf6syntaxhighlighting-dev (>= 6.14.0~),
+               extra-cmake-modules (>= 6.18.0~),
+               libkf6codecs-dev (>= 6.18.0~),
+               libkf6config-dev (>= 6.18.0~),
+               libkf6coreaddons-dev (>= 6.18.0~),
+               libkf6i18n-dev (>= 6.18.0~),
+               libkf6iconthemes-dev (>= 6.18.0~),
+               libkf6kio-dev (>= 6.18.0~),
+               libkf6sonnet-dev (>= 6.18.0~),
+               libkf6syntaxhighlighting-dev (>= 6.18.0~),
                libkf6textwidgets-dev (>= 6.3.0~),
-               libkf6widgetsaddons-dev (>= 6.14.0~),
-               libkf6xmlgui-dev (>= 6.14.0~),
-               libktextaddons-dev (>= 1.6.0~),
+               libkf6widgetsaddons-dev (>= 6.18.0~),
+               libkf6xmlgui-dev (>= 6.18.0~),
+               libktextaddons-dev (>= 1.8.0~),
                openbox,
                qt6-base-dev (>= 6.8.0~),
                xauth,
                xvfb,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://invent.kde.org/pim/kpimtextedit
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kpimtextedit
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kpimtextedit.git
@@ -47,7 +47,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: libkpim6textedit6 (= ${binary:Version}),
-         libktextaddons-dev (>= 1.6.0~),
+         libktextaddons-dev (>= 1.8.0~),
          ${misc:Depends},
 Description: libkpimtextedit - development files
  KPIMTextedit provides a textedit with PIM-specific features. It also provides
