## kpimtextedit 25.12.1+p24.04+vstable+git20260106.1607

=== debian/changelog ===
kpimtextedit (25.12.1+p24.04+vstable+git20260106.1607-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 16:07:10 +0000

kpimtextedit (25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:24:55 +1000
